// Copyright (C) 2011 - DIGITEO - Michael Baudin
// Copyright (C) 2002 - INRIA - Xavier Jonsson
// Copyright (C) 2002 - INRIA - Serge Steer
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


function [y]=%TDFFCD_i_TDFFCD (varargin)
  [lhs,rhs]=argn()
  if ( rhs == 3 ) then
    // y(i) = xdx
    i = varargin(1)
    x = varargin(2)
    y = varargin(3)
    y.v(i) = x.v
    y.dv(i) = x.dv
  else
    // rhs == 4
    // ydy(i,j) = xdx
    i = varargin(1)
    j = varargin(2)
    x = varargin(3)
    y = varargin(4)
    y.v(i,j) = x.v
    y.dv(i,j) = x.dv
  end
endfunction
