// Copyright (C) 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY -->

// String of a scalar
x=0;
xdx=diffcode_der(x,1);
str = string(xdx);
E = [
"TDFFCD:"
"======="
"v:"
"0"
"dv:"
"1"
];
assert_checkequal(str,E);
//
// String of a matrix
A=[1 1 0.5;1 xdx xdx;0.5 0.5 0.5];
str = string(A);
E = [
"TDFFCD:"
"======="
"v:"
"1 1 0.5"
"1 0 0"
"0.5 0.5 0.5"
"dv:"
"0 0 0"
"0 1 1"
"0 0 0"
];
assert_checkequal(stripblanks(str),E);
//
// String of a small row vector
A=[1 xdx xdx];
str = string(A);
E = [
"TDFFCD:"
"======="
"v:"
"1 0 0"
"dv:"
"0 1 1"
];
assert_checkequal(stripblanks(str),E);
